メインコンテンツへスキップ
POST
/
settings
/
v3
/
currencies
/
exchange-rates
/
batch
/
read
複数のレートを取得
curl --request POST \
  --url https://api.hubapi.com/settings/v3/currencies/exchange-rates/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "conversionRate": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "effectiveAt": "2023-11-07T05:31:56Z",
      "fromCurrencyCode": "AED",
      "id": "<string>",
      "toCurrencyCode": "AED",
      "updatedAt": "2023-11-07T05:31:56Z",
      "visibleInUI": true
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

応答が完了した日時

results
object[]
必須
startedAt
string<date-time>
必須

リクエストの日時。

status
enum<string>
必須

応答の現在のステータス(例:完了)

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

為替レートが記載された次のページへのリンク。

numErrors
integer<int32>
requestedAt
string<date-time>

リクエストの日時。

Last modified on March 30, 2026